# coding: utf-8

lib = File.expand_path('../lib', __FILE__)

$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'portl/version'

Gem::Specification.new do |spec|
  spec.name = 'PORTL'
  spec.version = PORTL::VERSION
  spec.authors = ['Travis Haynes']
  spec.email = ['travis@hi5dev.com']

  spec.summary = 'A plain Ruby templating language for Rails.'
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |file|
    file.match(%r{^(test|spec|features)/})
  end

  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^#{spec.bindir}/}) do |file|
    File.basename(file)
  end

  spec.require_paths = %w[lib]

  spec.add_dependency 'rails', '>= 4.0.0'
  spec.add_dependency 'tilt', '~> 2.0.5'

  spec.add_development_dependency 'byebug', '~> 9.0.5'
  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
end
